Debian Bug report logs - #679594
RFS: zgv/5.9-5 [QA] -- SVGAlib graphics viewer

Package: sponsorship-requests; Maintainer for sponsorship-requests is Debian Mentors <package-sponsorship-requests@lists.debian.org>;

Reported by: Boris Pek <Tehnick-8@yandex.ru>

Date: Sat, 30 Jun 2012 01:27:01 UTC

Severity: normal

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#679594; Package sponsorship-requests. (Sat, 30 Jun 2012 01:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <Tehnick-8@yandex.ru>:
New Bug report received and forwarded. Copy sent to debian-qa@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>. (Sat, 30 Jun 2012 01:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Boris Pek <Tehnick-8@yandex.ru>
To: submit@bugs.debian.org
Subject: RFS: zgv/5.9-5 [QA] -- SVGAlib graphics viewer
Date: Sat, 30 Jun 2012 04:22:09 +0300
Package: sponsorship-requests
Severity: normal
X-Debbugs-Cc: debian-qa@lists.debian.org

Hi,

I am looking for a sponsor for the package "zgv".

It builds binary package:
  zgv - SVGAlib graphics viewer

To access further information about this package, please visit the following URL:
  http://mentors.debian.net/package/zgv

Direct link for download:
  http://mentors.debian.net/debian/pool/main/z/zgv/zgv_5.9-5.dsc

Changes in the package:

zgv (5.9-5) unstable; urgency=low

  * QA upload.
  * Updated debian/watch: changed regexp.
  * Bumped Standards-Version to 3.9.3 (was 3.9.2).
  * Added debhelper version (9 is used); updated debian/compat.
    Fixed lintian note package-lacks-versioned-build-depends-on-debhelper.
  * Added file debian/source/format: format 1.0 is still used in this package.
  * Patched files config.mk and src/Makefile to respect build with
    hardening flags. [Thanks to Mario 'BitKoenig' Holbe] (Closes: #663625)
  * Rewritten debian/rules:
    - now dh is used instead of direct dh_* commands
    - added --as-needed option to LDFLAGS
    - added section get-orig-source (uscan is used)
    - fixed lintian warnings:
      + hardening-no-relro
      + hardening-no-fortify-functions
      + dh-clean-k-is-deprecated
      + debian-rules-ignores-make-clean-error
      + debian-rules-missing-recommended-target build-arch
      + debian-rules-missing-recommended-target build-indep
  * Updated debian/control:
    - added Homepage field
    - added ${misc:Depends} to package zgv
    - changed build dependency from libpng12-dev to libpng-dev
      (Closes: #662575)
  * Updated debian/menu: fixed lintian warnings:
    - unquoted-string-in-menu-item
    - menu-item-uses-apps-section
  * Updated doc/zgv.1: fixed lintian notes hyphen-used-as-minus-sign.
  * Deleted file debian/postinst: generated automatically.

I would be glad if someone uploaded this package for me.

Best regards,
Boris




Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 04 Sep 2012 09:51:15 GMT) Full text and rfc822 format available.

Notification sent to Boris Pek <Tehnick-8@yandex.ru>:
Bug acknowledged by developer. (Tue, 04 Sep 2012 09:51:15 GMT) Full text and rfc822 format available.

Message #10 received at 679594-done@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 679594-done@bugs.debian.org
Subject: Re: Bug#679594: RFS: zgv/5.9-5 [QA] -- SVGAlib graphics viewer
Date: Tue, 4 Sep 2012 10:45:42 +0100
On Sat, Jun 30, 2012 at 04:22:09AM +0300, Boris Pek wrote:
> I am looking for a sponsor for the package "zgv".
> 
> It builds binary package:
>   zgv - SVGAlib graphics viewer
> 
> To access further information about this package, please visit the following URL:
>   http://mentors.debian.net/package/zgv
> 
> Direct link for download:
>   http://mentors.debian.net/debian/pool/main/z/zgv/zgv_5.9-5.dsc

This looks fine, thanks - I see nothing to complain about here (well,
there's an unnecessary override_dh_strip, but it's not an actual
problem; I might do a bit more cleanup here later).  I've built and
uploaded your package to unstable.

Thanks for your contribution,

-- 
Colin Watson                                       [cjwatson@debian.org]



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Oct 2012 07:29:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:02:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.